#
# spec file for package lsb-release
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lsb-release
Version:        3.0
Release:        lp150.1.6
Summary:        Linux Standard Base Release Tools
License:        GPL-2.0+
Group:          System/Fhs
Url:            https://github.com/thkukuk/lsb-release_os-release
Source:         lsb-release-3.0.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Tools from the Linux Standard Base project to determine the used distribution

%prep
%setup -q

%build
# for openSUSE, the distributor is the openSUSE project
%if 0%{?is_opensuse}
sed -e 's/^MSG_DISTRIBUTOR=".*"/MSG_DISTRIBUTOR="openSUSE"/' -i lsb_release
%endif
make

%install
make install INSTALL_ROOT=%{buildroot}%{_prefix}

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/lsb?release
%{_mandir}/man1/lsb?release.1%{ext_man}

%changelog
* Tue Aug 15 2017 kukuk@suse.de
- Update to lsb-release 3.0
  - obsoletes lsb-release-2.0.dif and reproducible.patch
  - only supports /etc/os-release as fallback
  - adjusted documentation
* Mon Jun 19 2017 bwiedemann@suse.com
- Add reproducible.patch to drop current timestamps from man-page to make build reproducible
* Mon May 30 2016 kukuk@suse.de
- Merge with openSUSE again, change openSUSE project distributor
  name to remove the problematic whitespace.
* Mon Feb 22 2016 kukuk@suse.de
- Change Distributor name from "SUSE LINUX" to "SUSE", since
  the LSB spec is not in sync with the reference implementation,
  and some projects follow the reference implementation and not
  the spec.
* Fri Jan 30 2015 kukuk@suse.de
- Read /etc/lsb-release.d/* even if /etc/lsb-release does not
  contain a LSB_VERSION entry [FATE#318419]
- codename is not the distribution version
* Mon May 26 2014 kukuk@suse.de
- Remove openSUSE stuff [bnc#877042]
* Thu Oct 17 2013 bugs@vdm-design.de
- Change to use /etc/os-release instead of /etc/SuSE-release [bnc#845262]
* Tue Sep 11 2012 aj@suse.de
- For openSUSE the distributor is the openSUSE project.
* Mon Sep 20 2010 kukuk@suse.de
- Read "CODENAME" from /etc/SuSE-release [bnc#640213]
- Add "lsb-release" compat links
* Mon Jul 20 2009 kukuk@suse.de
- Split off from lsb package [bnc#483655]
